MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024448Community[OCCT] OCCT:Data Exchangepublic2013-12-09 20:132013-12-19 14:00
ReporterPawel 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024448: Possible copy-paste bug in IGESGeom_SplineCurve.cxx
DescriptionThe if-condition starting in line 46, calls allXPolynomials->LowerRow() twice (probably instead of allYPolynomials->LowerRow()).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027137)
Pawel (developer)
2013-12-09 20:16

Branch CR24448 pushed. Please review.
(0027139)
abv (manager)
2013-12-10 09:35

No remarks, please test
(0027165)
apn (administrator)
2013-12-11 11:12

Dear BugMaster,

Branch CR24448 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 8be3f04132ef9862c1dc7ce2e5a8111fe79ad8e6

Number of compiler warnings:

occt component :
Linux: 103 (103 on master)
Windows: 0 (0 on master)

products component :
Linux: 21 (21 on master)
Windows: 8 (8 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 358845036 / 358958380
Total CPU difference: 45432.390000000145 / 67597.07000000007

Testing on Windows:
Total MEMORY difference: 413149420 / 413246324
Total CPU difference: 30386.84375 / 30599.734375

There are not differences in images found by testdiff.

- Related Changesets
occt: master e04db199
Timestamp: 2013-12-09 16:15:39
Author: abv
Committer: abv
Details ] Diff ]
0024448: Possible copy-paste bug in IGESGeom_SplineCurve.cxx

Replaced 'allXPolynomials' with 'allYPolynomials' to avoid redundancy.
mod - src/IGESGeom/IGESGeom_SplineCurve.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-09 20:13 Pawel New Issue
2013-12-09 20:13 Pawel Assigned To => Pawel
2013-12-09 20:16 Pawel Note Added: 0027137
2013-12-09 20:16 Pawel Assigned To Pawel => bugmaster
2013-12-09 20:16 Pawel Status new => resolved
2013-12-10 08:37 kgv Assigned To bugmaster => gka
2013-12-10 09:35 abv Note Added: 0027139
2013-12-10 09:35 abv Assigned To gka => bugmaster
2013-12-10 09:35 abv Status resolved => reviewed
2013-12-10 12:03 apn Assigned To bugmaster => apn
2013-12-11 11:12 apn Note Added: 0027165
2013-12-11 11:13 apn Test case number => Not needed
2013-12-11 11:13 apn Assigned To apn => bugmaster
2013-12-11 11:13 apn Status reviewed => tested
2013-12-13 14:09 abv Changeset attached => occt master e04db199
2013-12-13 14:09 abv Assigned To bugmaster => abv
2013-12-13 14:09 abv Status tested => verified
2013-12-13 14:09 abv Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 14:00 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker